Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727330 - net-wireless/gr-osmosdr-0.2.0 installs extra files and directories in incorrect paths
Summary: net-wireless/gr-osmosdr-0.2.0 installs extra files and directories in incorre...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Radio project
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2020-06-06 16:07 UTC by Chris Mayo
Modified: 2020-09-04 16:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Mayo 2020-06-06 16:07:17 UTC
Python 2 style byte-compiled modules e.g.:

/usr/lib/python3.7/site-packages/osmosdr/__init__.pyc
/usr/lib/python3.7/site-packages/osmosdr/__init__.pyo

Extra gr-osmosdr directory inside doc directory (also using ${P} and not ${PF}, but no revision this time):

/usr/share/doc/gr-osmosdr-0.2.0/gr-osmosdr/html/index.html


Suggest:

--- gr-osmosdr-0.2.0.ebuild
+++ gr-osmosdr-0.2.0-r1.ebuild
@@ -60,11 +60,18 @@
 	cmake-utils_src_configure
 }
 
+src_prepare() {
+	cmake-utils_src_prepare
+	sed -i "s:\${GR_DOC_DIR}/\${CMAKE_PROJECT_NAME}:\${GR_DOC_DIR}/${PF}:" CMakeLists.txt || die
+}
+
 src_install() {
 	cmake-utils_src_install
 	if use python; then
+		# Remove incorrectly byte-compiled Python files and replace
+		# https://github.com/gnuradio/gnuradio/issues/2944
+		find "${ED}"/usr/lib* -name "*.py[co]" -exec rm {} \; || die
 		python_fix_shebang "${ED}"/usr/bin
 		python_optimize
 	fi
-	mv "${ED}/usr/share/doc/${PN}" "${ED}/usr/share/doc/${P}"
 }
Comment 1 Rick Farina (Zero_Chaos) gentoo-dev 2020-09-04 16:20:38 UTC
wow, thanks for the fixes.  I missed those issues during testing (and my usage).  fixed in 0.2.2